# README

The `data` folder hosts the course datasets. It misses Sessions 5–7 as well as little things scraped from Wikipedia (which are not saved) and extra class exercises like the Rheinart and Rogoff replication. Large files are marked with their sizes.

The data are downloaded and immediately saved to comma-separated values (`.csv`). A few files are compressed or saved in tab-separated values. Some files (marked `•`) required preprocessing or authentification to download, and are self-contained to the course.

| name                        | description                                                        | Session |
|:----------------------------|:-------------------------------------------------------------------|:--------|
| `grades.2012` `•`       | Anonymized student grades from an Autumn 2012 math course          | 2.2 |
| `nhis.2005` `•`         | Data extract from the U.S. National Health Interview Survey, 2005  | 2.2 |
| `us.recessions.4807`    | BLS employment figures for NBER recession months, 1948-2013        | 3.1 |
| `browsers.0813`         | StatCounter browser usage shares 2008-2013, scraped from Wikipedia | 3.3 (practice) |
| `wdi.govdebt.0511`      | World Bank central governmental debt for 5 states, 2005-2011       | 4.0 |
| `dailykos.votes.0812`   | U.S. 2008-2012 county-level vote shares from Daily Kos             | 4.1 |
| `qog.cs.zip`            | Quality of Government Standard cross-section, 15 May 2013          | 4.1, 5.3, 8.2, 10.0 |
| `fide.zip`              | FIDE ratings for chess players, scraped from its website, 2013     | 4.1 |
| `htus8008.zip`          | Bureau of Justice Statistics on U.S. homicide trends, 1980-2008    | 4.2 |
| `schiller.8712` `•`     | Standard and Poor's Case-Schiller Index for U.S. cities, 1987-2012 | 4.2 |
| `bshor.congress.2012`   | Boris Shor's U.S. Congressional ideal estimated points, 2012       | 4.3 (practice) |
| `dwnominate.zip`        | DW-NOMINATE scores for all U.S. Congressional sessions (**2.7MB**) | 4.3 (practice) |
| | Sessions 5--7 are not listed. | |
| `olympics.2012`         | Olympics 100 m sprinters data from Markus Gessman                  | 8.0 |
| `oecd.bli.2011.tsv`     | OECD Better Life Index, 2011                                       | 8.1 |
| `bartels.presvote.4812` | Larry Bartel's data for a U.S. presidential election plot          | 8.2 |
| `imf.weo.2012`          | IMF WEO 2012 replication data by Chris Giles                       | 8.3 (practice) |
| `icm.polls.8413`        | Guardian/ICM polls, 1984-2013                                      | 9.0 |
| `beijing.pollution` `•` | Beijing pollution information by the U.S. Embassy on Twitter, 2013 | 9.1 |
| `geos.tww`              | GEOS episode ratings for Aaron Sorkin's _The West Wing_            | 9.2 |
| `piketty.saez.2011.zip` | Piketty & Saez data on U.S. income inequality, 1913-2012           | 9.3 (practice) |
| `wb.projects.zip`       | World Bank geocoded aid projects in Africa (**1.9MB**)             | 10.1 |
| `wasserman.votes.0812`  | U.S. state-level 2008-2012 vote shares, from David Wasserman       | 10.2 |
| `ga.network`            | Network of characters in _Grey's Anatomy_, by Gary Weissman        | 11.0 |
| `twitter.an.zip`        | Twitter network data for French MPs in (early) 2013                | 11.1 |
| `assange.txt` `•`       | Speech by Julian Assange in 2012                                   | 11.2 |
| `doctorow.txt`          | Speech by Corey Doctorow in 2011                                   | 11.2 |

